org.cybergarage.upnp.control

## Class QueryResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse
    - - org.cybergarage.soap.SOAPResponse
      - - org.cybergarage.upnp.control.ControlResponse
        - - org.cybergarage.upnp.control.QueryResponse

-     public class QueryResponse
      extends ControlResponse

  Represents a UPnP query response. Extends ControlResponse to provide functionality for handling state variable query responses.

- - ### Field Summary

    - ### Fields inherited from class org.cybergarage.upnp.control.ControlResponse

      `FAULT_CODE, FAULT_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryResponse()` Default constructor
    `QueryResponse(SOAPResponse soapRes)` Constructs a QueryResponse from a SOAP response.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReturnValue()` Gets the return value from the query response.
    `void` | `setResponse(StateVariable stateVar)` Sets the response using the specified state variable.

    - ### Methods inherited from class org.cybergarage.upnp.control.ControlResponse

      `getUPnPError, getUPnPErrorCode, getUPnPErrorDescription, setFaultResponse, setFaultResponse`

    - ### Methods inherited from class org.cybergarage.soap.SOAPResponse

      `getBodyNode, getEnvelopeNode, getFaultActor, getFaultActorNode, getFaultCode, getFaultCodeNode, getFaultDetailNode, getFaultNode, getFaultString, getFaultStringNode, getMethodResponseNode, print, setContent, setEnvelopeNode`

    - ### Methods inherited from class org.cybergarage.http.HTTPResponse

      `getHeader, getStatusCode, getStatusLineString, isSuccessful, setStatusCode, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getCharSet, getConnection, getContent, getContentInputStream, getContentLanguage, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLanguage, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryResponse

          public QueryResponse()

      Default constructor

    - #### QueryResponse

          public QueryResponse(SOAPResponse soapRes)

      Constructs a QueryResponse from a SOAP response.
      Parameters:
        `soapRes` - the SOAP response to wrap

  - ### Method Detail

    - #### getReturnValue

          public String getReturnValue()

      Gets the return value from the query response.
      Returns:
        the return value as a string, or empty string if not found

    - #### setResponse

          public void setResponse(StateVariable stateVar)

      Sets the response using the specified state variable.
      Parameters:
        `stateVar` - the state variable containing the value to return